var TC =( function () {
    var font = {
        sizeObject: {
            content: {
                small: 16,
                middle: 18,
                large: 20,
                oversize: 22
            }
        },
        rowHeight: {
            content: {
                small: 26,
                middle: 28,
                large: 32,
                oversize: 36
            }
        }
    };
    function refreshHtmlContent(contents) {
        content = contents.content ? contents.content : '';

        var _container = document.querySelector('.container'),
            _p = _container.querySelectorAll('p');
        _container.innerHTML = content;
        var imgnum = $('.container img').length;
        if (imgnum == 0) {
            var height = document.body.offsetHeight;
            Android.getHeight(height);
        } else {
            var oImg = document.querySelectorAll('.container img');
            var oImgLenght = document.querySelectorAll('.container img').length;
            for (var i = 0; i < oImgLenght; i++) {
                var img = new Image();
                img.onload = img.onerror = function () {
                    if (!--oImgLenght) {
                        var height = document.body.offsetHeight;

                        Android.getHeight(height);
                    }
                };
                img.src = oImg[i].getAttribute('src');
            }
        }
        changeFontSize(contents.defaultSize)
    };
    function changeFontSize(type) {
        if (!type) return;
        var _container = document.querySelector('.container'),
            _p = _container.querySelectorAll('p');
        for (var i = 0; i < _p.length; i++) {
            _p[i].style.fontSize = font.sizeObject.content[type] + 'px';
        }
        var _container = document.querySelectorAll('.container p');
        for (var b = 0; b < _container.length; b++) {
            _container[b].style.lineHeight = font.rowHeight.content[type] + 'px';
        }
        height()
    };
    function height() {
        Android.getHeight(document.documentElement.offsetHeight);
    }
    return {
        refreshHtmlContent: refreshHtmlContent,
        changeFontSize: changeFontSize
    }
})()